| OpenZWave Library 1.6.0

Classes | Namespaces | Enumerations
Security.h File Reference
`#include <ctime>`
`#include "aes/aescpp.h"`
`#include "command_classes/CommandClass.h"`

Go to the source code of this file.

## Classes
class | OpenZWave::Security
| Implements COMMAND_CLASS_SECURITY (0x98), a Z-Wave device command class. More...

## Namespaces
| OpenZWave

## Enumerations
enum | OpenZWave::SecurityCmd { OpenZWave::SecurityCmd_SupportedGet = 0x02, OpenZWave::SecurityCmd_SupportedReport = 0x03, OpenZWave::SecurityCmd_SchemeGet = 0x04, OpenZWave::SecurityCmd_SchemeReport = 0x05, OpenZWave::SecurityCmd_NetworkKeySet = 0x06, OpenZWave::SecurityCmd_NetworkKeyVerify = 0x07, OpenZWave::SecurityCmd_SchemeInherit = 0x08, OpenZWave::SecurityCmd_NonceGet = 0x40, OpenZWave::SecurityCmd_NonceReport = 0x80, OpenZWave::SecurityCmd_MessageEncap = 0x81, OpenZWave::SecurityCmd_MessageEncapNonceGet = 0xc1 }
enum | OpenZWave::SecurityScheme { OpenZWave::SecurityScheme_Zero = 0x00 }